# PicoCalc – A cost-effective portable MCU terminal 


![picocalc](https://github.com/clockworkpi/PicoCalc/blob/master/wiki/PicoCalc.png)


---

## 📌 Features
- Supports the Raspberry Pi **Pico H**/ **Pico WH** series and various compatible modules.
- **Expandable hardware** with SPI/I²C/UART for external peripherals.
- **Support for Micropython & C/C++ development** using the Raspberry Pi Pico SDK.
- **Customizable keypad & UI**, allowing users to modify functionalities.
- **USB Type-C** for power and multifunctional design, default is Pico’s serial port.
- **Compatible with 3D-printed cases**, making it an ideal DIY project.

---
## 🛠 Development & Customization  

PicoCalc supports **C/C++ development** via Pico SDK,The firmware can be modified to include new features such as:

- Graphing functions and scientific calculations.
- I²C/SPI communication for interfacing with external sensors.
- Keyboard remapping and custom UI modifications. 


See the [Code](https://github.com/clockworkpi/PicoCalc/tree/master/Code) directory for sample applications.

---

## 📢 Community & Support  
- Official website: [clockworkpi.com](https://forum.clockworkpi.com/)
- Forum: [ClockworkPi Community](https://forum.clockworkpi.com/)
- GitHub Issues: [Report Bugs & Features](https://github.com/clockworkpi/PicoCalc/issues)


